Upstream information

CVE-2020-29599 at MITRE

Description

ImageMagick before 6.9.11-40 and 7.x before 7.0.10-40 mishandles the -authenticate option, which allows setting a password for password-protected PDF files. The user-controlled password was not properly escaped/sanitized and it was therefore possible to inject additional shell commands via coders/pdf.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.5
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Network
Access Complexity Low High
Privileges Required None Low
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1179753 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-156
SUSE Enterprise Storage 6
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-Storage-6-2021-156
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-156
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-156
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-156
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2021-156
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • ImageMagick >= 7.0.7.34-10.9.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-10.9.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.9.1
  • ImageMagick-devel >= 7.0.7.34-10.9.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-10.9.1
  • libMagick++-devel >= 7.0.7.34-10.9.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-10.9.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-10.9.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-153
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2021-156
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • perl-PerlMagick >= 7.0.7.34-10.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-153
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel-32bit >= 7.0.7.34-3.90.1
  • ImageMagick-doc >= 7.0.7.34-3.90.1
  • ImageMagick-extra >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-3.90.1
  • libMagick++-devel-32bit >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2021-156
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.9.1
  • ImageMagick-devel-32bit >= 7.0.7.34-10.9.1
  • ImageMagick-doc >= 7.0.7.34-10.9.1
  • ImageMagick-extra >= 7.0.7.34-10.9.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-10.9.1
  • libMagick++-devel-32bit >= 7.0.7.34-10.9.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-10.9.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-10.9.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-153
SUSE Linux Enterprise Server 15 SP1-BCL
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-156
SUSE Linux Enterprise Server 15 SP1-LTSS
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-156
SUSE Linux Enterprise Server 15-LTSS
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-156
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-156
SUSE Linux Enterprise Server for SAP Applications 15
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-156
SUSE Manager Proxy 4.0
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-156
SUSE Manager Retail Branch Server 4.0
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-156
SUSE Manager Server 4.0
  • ImageMagick >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.90.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-3.90.1
  • ImageMagick-devel >= 7.0.7.34-3.90.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.90.1
  • libMagick++-devel >= 7.0.7.34-3.90.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.90.1
  • perl-PerlMagick >= 7.0.7.34-3.90.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-156
openSUSE Leap 15.1
  • ImageMagick >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-debuginfo >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-debugsource >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-devel >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-devel-32bit >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-doc >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-extra >= 7.0.7.34-lp151.7.26.1
  • ImageMagick-extra-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-lp151.7.26.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-lp151.7.26.1
  • libMagick++-7_Q16HDRI4-32bit-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagick++-7_Q16HDRI4-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagick++-devel >= 7.0.7.34-lp151.7.26.1
  • libMagick++-devel-32bit >= 7.0.7.34-lp151.7.26.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-lp151.7.26.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-lp151.7.26.1
  • libMagickCore-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagickCore-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-lp151.7.26.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-lp151.7.26.1
  • libMagickWand-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp151.7.26.1
  • libMagickWand-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp151.7.26.1
  • perl-PerlMagick >= 7.0.7.34-lp151.7.26.1
  • perl-PerlMagick-debuginfo >= 7.0.7.34-lp151.7.26.1
Patchnames:
openSUSE-2021-148
openSUSE Leap 15.2
  • ImageMagick >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-debuginfo >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-debugsource >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-devel >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-devel-32bit >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-doc >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-extra >= 7.0.7.34-lp152.12.9.1
  • ImageMagick-extra-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-lp152.12.9.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-lp152.12.9.1
  • libMagick++-7_Q16HDRI4-32bit-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagick++-7_Q16HDRI4-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagick++-devel >= 7.0.7.34-lp152.12.9.1
  • libMagick++-devel-32bit >= 7.0.7.34-lp152.12.9.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-lp152.12.9.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-lp152.12.9.1
  • libMagickCore-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagickCore-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-lp152.12.9.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-lp152.12.9.1
  • libMagickWand-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp152.12.9.1
  • libMagickWand-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp152.12.9.1
  • perl-PerlMagick >= 7.0.7.34-lp152.12.9.1
  • perl-PerlMagick-debuginfo >= 7.0.7.34-lp152.12.9.1
Patchnames:
openSUSE-2021-136


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ImageMagick Ignore
SUSE CaaS Platform 4.0 ImageMagick Released
SUSE Enterprise Storage 5 ImageMagick Ignore
SUSE Enterprise Storage 6 ImageMagick Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ImageMagick Ignore
SUSE Linux Enterprise High Performance Computing 15 LTSS ImageMagick Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS ImageMagick Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 ImageMagick Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 ImageMagick Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 ImageMagick Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 ImageMagick Released
SUSE Linux Enterprise Point of Service 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Point of Service Image Server 12 ImageMagick Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 BCL ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP2 ESPOS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP2 LTSS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP3 BCL ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP3 ESPOS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP3 LTSS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP4 ESPOS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP4 LTSS ImageMagick Ignore
SUSE Linux Enterprise Server 12 SP5 ImageMagick Ignore
SUSE Linux Enterprise Server 15 LTSS ImageMagick Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux ImageMagick Released
SUSE Linux Enterprise Server 15 SP1 LTSS ImageMagick Released
SUSE Linux Enterprise Server ESPOS 15 ImageMagick Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ImageMagick Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ImageMagick Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ImageMagick Ignore
SUSE Linux Enterprise Server for SAP Applications 15 ImageMagick Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ImageMagick Released
SUSE Linux Enterprise Software Development Kit 12 SP5 ImageMagick Ignore
SUSE Linux Enterprise Workstation Extension 12 ImageMagick Ignore
SUSE Manager Proxy 4.0 ImageMagick Released
SUSE Manager Retail Branch Server 4.0 ImageMagick Released
SUSE Manager Server 4.0 ImageMagick Released
SUSE OpenStack Cloud 7 ImageMagick Ignore
SUSE OpenStack Cloud 8 ImageMagick Ignore
SUSE OpenStack Cloud 9 ImageMagick Ignore
SUSE OpenStack Cloud Crowbar 8 ImageMagick Ignore
SUSE OpenStack Cloud Crowbar 9 ImageMagick Ignore